CREATE TABLE IF NOT EXISTS projects (
    id INTEGER PRIMARY KEY GENERATED BY DEFAULT AS IDENTITY,
    name TEXT NOT NULL CHECK (name <> ''),
    priority INTEGER NOT NULL,
    description TEXT,
    deliverydate DATE NOT NULL
);

CREATE TABLE IF NOT EXISTS tasks (
    id INTEGER PRIMARY KEY GENERATED BY DEFAULT AS IDENTITY,
    name TEXT NOT NULL CHECK (name <> ''),
    done BOOLEAN,
    projectId INTEGER REFERENCES projects(id)
);

INSERT INTO projects(name, priority, description, deliverydate)
    VALUES('Make a Web App', 1, 'Using Js', '2019-05-12');

INSERT INTO projects(name, priority, description, deliverydate)
    VALUES('Make an App', 1, 'Using Dart', '2019-05-13');

INSERT INTO projects(name, priority, description, deliverydate)
    VALUES('Make a Desktop App', 2, 'Using C++', '2019-05-14');

-- INSERT TASKS DATA 
INSERT INTO tasks(name, done, projectId)
    VALUES('Download Vuejs', false, 1);

INSERT INTO tasks(name, done, projectId)
    VALUES('Create UI WEB', false, 1);

INSERT INTO tasks(name, done, projectId)
    VALUES('Download Flutter', false, 2);

INSERT INTO tasks(name, done, projectId)
    VALUES('Design UI', false, 2);